> ## Documentation Index
> Fetch the complete documentation index at: https://openai-hd4n6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get certificate

> Get a certificate that has been uploaded to the organization.

You can get a certificate regardless of whether it is active or not.




## OpenAPI

````yaml api-definition.yaml get /organization/certificates/{certificate_id}
openapi: 3.0.0
info:
  title: OpenAI API
  description: >-
    The OpenAI REST API. Please see
    https://platform.openai.com/docs/api-reference for more details.
  version: 2.3.0
  termsOfService: https://openai.com/policies/terms-of-use
  contact:
    name: OpenAI Support
    url: https://help.openai.com/
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
servers:
  - url: https://api.openai.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Assistants
    description: Build Assistants that can call models and use tools.
  - name: Audio
    description: Turn audio into text or text into audio.
  - name: Chat
    description: >-
      Given a list of messages comprising a conversation, the model will return
      a response.
  - name: Completions
    description: >-
      Given a prompt, the model will return one or more predicted completions,
      and can also return the probabilities of alternative tokens at each
      position.
  - name: Embeddings
    description: >-
      Get a vector representation of a given input that can be easily consumed
      by machine learning models and algorithms.
  - name: Evals
    description: Manage and run evals in the OpenAI platform.
  - name: Fine-tuning
    description: Manage fine-tuning jobs to tailor a model to your specific training data.
  - name: Batch
    description: Create large batches of API requests to run asynchronously.
  - name: Files
    description: >-
      Files are used to upload documents that can be used with features like
      Assistants and Fine-tuning.
  - name: Uploads
    description: Use Uploads to upload large files in multiple parts.
  - name: Images
    description: Given a prompt and/or an input image, the model will generate a new image.
  - name: Models
    description: List and describe the various models available in the API.
  - name: Moderations
    description: >-
      Given text and/or image inputs, classifies if those inputs are potentially
      harmful.
  - name: Audit Logs
    description: List user actions and configuration changes within this organization.
paths:
  /organization/certificates/{certificate_id}:
    get:
      tags:
        - Certificates
      summary: Get certificate
      description: |
        Get a certificate that has been uploaded to the organization.

        You can get a certificate regardless of whether it is active or not.
      operationId: getCertificate
      parameters:
        - name: cert_id
          in: path
          description: Unique ID of the certificate to retrieve.
          required: true
          schema:
            type: string
        - name: include
          in: query
          description: >-
            A list of additional fields to include in the response. Currently
            the only supported value is `content` to fetch the PEM content of
            the certificate.
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - content
      responses:
        '200':
          description: Certificate retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Certificate'
components:
  schemas:
    Certificate:
      type: object
      description: Represents an individual `certificate` uploaded to the organization.
      properties:
        object:
          type: string
          enum:
            - certificate
            - organization.certificate
            - organization.project.certificate
          description: >
            The object type.


            - If creating, updating, or getting a specific certificate, the
            object type is `certificate`.

            - If listing, activating, or deactivating certificates for the
            organization, the object type is `organization.certificate`.

            - If listing, activating, or deactivating certificates for a
            project, the object type is `organization.project.certificate`.
          x-stainless-const: true
        id:
          type: string
          description: The identifier, which can be referenced in API endpoints
        name:
          type: string
          description: The name of the certificate.
        created_at:
          type: integer
          description: >-
            The Unix timestamp (in seconds) of when the certificate was
            uploaded.
        certificate_details:
          type: object
          properties:
            valid_at:
              type: integer
              description: >-
                The Unix timestamp (in seconds) of when the certificate becomes
                valid.
            expires_at:
              type: integer
              description: The Unix timestamp (in seconds) of when the certificate expires.
            content:
              type: string
              description: The content of the certificate in PEM format.
        active:
          type: boolean
          description: >-
            Whether the certificate is currently active at the specified scope.
            Not returned when getting details for a specific certificate.
      required:
        - object
        - id
        - name
        - created_at
        - certificate_details
      x-oaiMeta:
        name: The certificate object
        example: |
          {
            "object": "certificate",
            "id": "cert_abc",
            "name": "My Certificate",
            "created_at": 1234567,
            "certificate_details": {
              "valid_at": 1234567,
              "expires_at": 12345678,
              "content": "-----BEGIN CERTIFICATE----- MIIGAjCCA...6znFlOW+ -----END CERTIFICATE-----"
            }
          }
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````